/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.openzen.javascriptingexample;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Random;
import org.openzen.zencode.java.ZenCodeGlobals;

/**
 *
 * @author Hoofdgebruiker
 */
public class Globals implements ZenCodeGlobals {
	private static final Random RANDOM = new Random();
	
	private Globals() {}
	
	@Global
	public static void println(String message) {
		System.out.println(message);
	}
	
	@Global
	public static String readLine(String prompt) {
		System.out.print(prompt);
		try {
			BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
			return reader.readLine();
		} catch (IOException ex) {
			ex.printStackTrace();
			return "";
		}
	}
	
	@Global
	public static int randomInt(int limit) {
		return RANDOM.nextInt(limit);
	}
}
